<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Depot par mois</title>
<link href="/scoutsmm.qc.ca/base/baseCSS.css" rel="stylesheet" type="text/css">
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");



//V&eacute;rifier si la session est valide.
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if (($privilege_base != 2) and ($privilege_base != 1))
	die("Vous n'avez pas les droits!");


	
//SI CEST LA PREMIERE FOIS, DEMANDER LA DATE DEBUT ET DATE FIN A AFFICHER DANS LE RAPPORT	
if (empty($etape))
{?>
	<font size=3><h1>D&Eacute;POTS PAR MOIS</h1><br><BR>
	



	<?php //RECHERCHE PAR MOIS ?>	
	<table cellspacing=0 cellpadding=0 border=1><tr><td width=400px valign=top>
		<form action=depot_par_mois.php method=get name=registre>
		<?php  print("<input type=hidden name=Bsession_id value=".$_GET['Bsession_id'].">"); ?>
		<input type=hidden name=etape value=1>
		<h2><B>Recherche par mois</B></h2><BR>
		<table border=0 cellpadding=0 cellspacing=0>
		<tr><td>
			<h2>
			<?php 
			print("Ann&eacute;e : <input type=text name=selection_annee align=top maxlength=4 size=4>(AAAA)&nbsp;&nbsp;&nbsp;");
			print("Mois : <select name=\"selection_mois\">");
			print("<option value=\"1\">01-Janvier</option>
				<option value=\"2\">02-Fevrier</option>
				<option value=\"3\">03-Mars</option>
				<option value=\"4\">04-Avril</option>
				<option value=\"5\">05-Mai</option>
				<option value=\"6\">06-Juin</option>
				<option value=\"7\">07-Juillet</option>
				<option value=\"8\">08-Aout</option>
				<option value=\"9\">09-Septembre</option>
				<option value=\"10\">10-Octobre</option>
				<option value=\"11\">11-Novembre</option>
				<option value=\"12\">12-Decembre</option>			
			</select>");
			?>
			<input type=submit name=suite value=Suite><BR><BR>
			</form>
		</td></tr>
		</table>
	</td><td width=300px valign=top>
		<h2>Entrez l'ann&eacute;e puis s&eacute;lectionner le mois pour g&eacute;n&eacute;rer tout les d&eacute;pots du mois choisi.
		</td>
	</tr>
	</table>	
	
<?php 	
}
elseif($etape == 1)
{
	//VARIABLE POUR LES COULEURS DU TABLEAU
	$bgcolor_titre = "#A1A1A1";
	$bgcolor_sous_titre = "#D6D6D6";

	if ($selection_mois == 1) { $nom_mois = "janvier"; }
	if ($selection_mois == 2) { $nom_mois = "f&eacute;vrier"; }
	if ($selection_mois == 3) { $nom_mois = "mars"; }
	if ($selection_mois == 4) { $nom_mois = "avril"; }
	if ($selection_mois == 5) { $nom_mois = "mai"; }
	if ($selection_mois == 6) { $nom_mois = "juin"; }
	if ($selection_mois == 7) { $nom_mois = "juillet"; }
	if ($selection_mois == 8) { $nom_mois = "ao&ucirc;t"; }
	if ($selection_mois == 9) { $nom_mois = "septembre"; }
	if ($selection_mois == 10) { $nom_mois = "octobre"; }
	if ($selection_mois == 11) { $nom_mois = "novembre"; }
	if ($selection_mois == 12) { $nom_mois = "d&eacute;cembre"; }

	
	
	print("<table border=1 cellpadding=0 cellspacing=0><tr><td colspan=30 bgcolor=$bgcolor_titre>");
	print("<h1>D&eacute;pots re&ccedil;u en ".$nom_mois." ".$selection_annee."</h1></td></tr>");

	//////////////////////////////////////////////////////////////////////////////////////////////////////
	// 1 - ENTETE DU TABLEAU																			//
	//////////////////////////////////////////////////////////////////////////////////////////////////////


	//titre des colonnes
	print("<tr><td width=80px bgcolor=$bgcolor_sous_titre><h2><center><b>RE&Ccedil;U LE</td>");
	print("<td width=60px bgcolor=$bgcolor_sous_titre><h2><center><b>CONTRAT</td>");
	print("<td width=60px bgcolor=$bgcolor_sous_titre><h2><center><b>POSTE</td>");
	print("<td width=100px bgcolor=$bgcolor_sous_titre><h2><center><b>MONTANT</td>");
	print("<td width=560px bgcolor=$bgcolor_sous_titre><h2><center><b>COMMENTAIRE</td>");
	print("</tr>");





	//////////////////////////////////////////////////////////////////////////////////////////////////////
	// 2 - INITIALISATION DES VARIABLES																	//
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	
	//TOTAUX POUR CHAQUE CONTRAT
	$mois_4010=0;
	$mois_4015=0;
	$mois_4020=0;
	$mois_4025=0;
	$mois_4030=0;
	$mois_4035=0;
	$mois_4040=0;
	$mois_4045=0;
	$mois_4050=0;
	$mois_4055=0;
	$mois_4060=0;
	$mois_4061=0;
	
	//VARIABLE POUR LES COULEURS DU TABLEAU
	$bgcolor_titre = "#A1A1A1";
	$bgcolor_sous_titre = "#D6D6D6";
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	// 3 - COLLECTE DES DONN&Eacute;ES																			//
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	//TABLE CONTRAT***************************************************************************************
	if (!empty($selection_annee))
	{
	
		//requete pour aller chercher tout les depots
		$sql_depot = "select base_depot.recu_le, base_depot.montant, base_depot.poste, base_depot.commentaire, base_depot.code_depot, base_depot.code_contrat, base_contrat.numero_contrat
			  FROM base_depot, base_contrat
			  WHERE base_depot.code_contrat = base_contrat.code_contrat
			  ORDER BY recu_le;";
		$result_depot = mysqli_query($GLOBALS["___mysqli_ston"], $sql_depot) or die("Probl&egrave;me de recherche dans les paiements<br>".$sql_depot);
		$num_depot = mysqli_num_rows($result_depot);	
	
		//boucle pour chaque depot
		while ($row_depot = mysqli_fetch_row($result_depot))
		{
			//mise a zero des variables
			$depot_recu = 0;
			$depot_montant = 0;
			$depot_poste = 0;
			$depot_commentaire = 0;
			$code_depot = 0;
			$code_contrat = 0;
			$numero_contrat = 0;
			
			$depot_recu = ($row_depot[0]);
			$depot_montant = ($row_depot[1]);
			$depot_poste = ($row_depot[2]);
			$depot_commentaire = ($row_depot[3]);
			$code_depot = ($row_depot[4]);
			$code_contrat = ($row_depot[5]);
			$numero_contrat = ($row_depot[6]);
			
			//decoupe la date recu le
			$aryDateMaintenant = explode("-",$depot_recu);
			$annee = $aryDateMaintenant[0];
			$mois = $aryDateMaintenant[1];
			$jour = $aryDateMaintenant[2]; 
			
			if (($mois == $selection_mois) and ($annee == $selection_annee))
			{
				print("<tr><td align=right><h2>".$depot_recu."&nbsp;</td>");
				print("<td align=right><h2><a href=../contract/gestion-contract.php?Bsession_id=".$Bsession_id."&code_contrat=".$code_contrat.">".$numero_contrat."</a>&nbsp;</td>");
				print("<td align=right><h2>".$depot_poste."&nbsp;</td>");
				print("<td align=right><h2>".$depot_montant." $&nbsp;</td>");
				print("<td align=left><h2>".$depot_commentaire."&nbsp;</td></tr>");
				
				if ($depot_poste == '4010'){	$mois_4010 += $depot_montant; }
				if ($depot_poste == '4015'){	$mois_4015 += $depot_montant; }
				if ($depot_poste == '4020'){	$mois_4020 += $depot_montant; }
				if ($depot_poste == '4025'){	$mois_4025 += $depot_montant; }
				if ($depot_poste == '4030'){	$mois_4030 += $depot_montant; }
				if ($depot_poste == '4035'){	$mois_4035 += $depot_montant; }
				if ($depot_poste == '4040'){	$mois_4040 += $depot_montant; }
				if ($depot_poste == '4045'){	$mois_4045 += $depot_montant; }
				if ($depot_poste == '4050'){	$mois_4050 += $depot_montant; }
				if ($depot_poste == '4055'){	$mois_4055 += $depot_montant; }
				if ($depot_poste == '4060'){	$mois_4060 += $depot_montant; }
				if ($depot_poste == '4061'){	$mois_4061 += $depot_montant; }
				
				
				
			}
		}//fin while
		
		print("</tr></table><BR><BR>");
		
		print("<table border=1 cellpadding=0 cellspacing=0><tr><td colspan=30 bgcolor=$bgcolor_titre>");
		print("<h1>Totaux des postes pour ".$nom_mois." ".$selection_annee."</h1></td></tr>");
		print("<tr><td width=80px bgcolor=$bgcolor_sous_titre><h2><center><b>4010</td>");
		print("<td width=80px bgcolor=$bgcolor_sous_titre><h2><center><b>4015</td>");
		print("<td width=80px bgcolor=$bgcolor_sous_titre><h2><center><b>4020</td>");
		print("<td width=80px bgcolor=$bgcolor_sous_titre><h2><center><b>4025</td>");
		print("<td width=80px bgcolor=$bgcolor_sous_titre><h2><center><b>4030</td>");
		print("<td width=80px bgcolor=$bgcolor_sous_titre><h2><center><b>4035</td>");
		print("<td width=80px bgcolor=$bgcolor_sous_titre><h2><center><b>4040</td>");
		print("<td width=80px bgcolor=$bgcolor_sous_titre><h2><center><b>4045</td>");
		print("<td width=80px bgcolor=$bgcolor_sous_titre><h2><center><b>4050</td>");	
		print("<td width=80px bgcolor=$bgcolor_sous_titre><h2><center><b>4055</td>");
		print("<td width=80px bgcolor=$bgcolor_sous_titre><h2><center><b>4060</td>");
		print("<td width=80px bgcolor=$bgcolor_sous_titre><h2><center><b>4061</td>");
		print("</tr><tr>");
		print("<td align=right><h2>".$mois_4010." $&nbsp;</td>");
		print("<td align=right><h2>".$mois_4015." $&nbsp;</td>");
		print("<td align=right><h2>".$mois_4020." $&nbsp;</td>");
		print("<td align=right><h2>".$mois_4025." $&nbsp;</td>");
		print("<td align=right><h2>".$mois_4030." $&nbsp;</td>");
		print("<td align=right><h2>".$mois_4035." $&nbsp;</td>");
		print("<td align=right><h2>".$mois_4040." $&nbsp;</td>");
		print("<td align=right><h2>".$mois_4045." $&nbsp;</td>");
		print("<td align=right><h2>".$mois_4050." $&nbsp;</td>");
		print("<td align=right><h2>".$mois_4055." $&nbsp;</td>");
		print("<td align=right><h2>".$mois_4060." $&nbsp;</td>");
		print("<td align=right><h2>".$mois_4061." $&nbsp;</td>");
		print("</tr></table>");

	}

}	

//BAS DE PAGE**********************************************************************
	
print("<BR><BR><hr><table width=100%><tr><td width=50%><center>");
	//Afficher le bouton de retour au menu principal.


	print("<a href='../menu-base.php?Bsession_id=".$_GET['Bsession_id']."'><img src=bouton1.gif border=0></a>");

print("</td><tr></table>");
	
?>

</body>
</html>	
	
	
	
	
